petsc-3.4.2 2013-07-02

# PetscObjectGetName

Gets a string name associated with a PETSc object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectGetName(PetscObject obj,const char *name[])

Not Collective unless object has not been named yet

### Input Parameters

| obj | - the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectGetName((PetscObject)mat,&name);
| name | - the name associated with obj

### See Also

PetscObjectSetName()

Level:intermediate
Location:src/sys/objects/pgname.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex31.c.html